текст на чертеже из VBS

Автор tovarischX, 05.04.07, 11:42:17

« предыдущая - следующая »

0 Пользователей и 1 гость просматривают эту тему.

tovarischX

поможите плиз
нужно из скрипта на VB вставить в чертёж текст
не получается никак
официальная тех поддержка послала сюда

колдовство начинается со слов
KompasObject::ActiveDocument2D
и
Doc2d.ksText 0, 0, 0, 5, 1, 0, "123"

tovarischX

06.04.07, 08:48:39 #1 Последнее редактирование: 06.04.07, 09:32:39 от tovarischX
ну вопрос решился сам собой
теперь надо сделать выравнивание текста по центру
doc.ksText 115, 0, 0, 5, 1, 0, (m-1)*15  & "@1"

как выровнять по центру этот текст  ?

333

см
ksDocument2D::ksSetTextAlign
ksDocument2D::ksSetTextLineAlign